<?php
namespace Claromentis\Search\Client;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array();








interface ClientInterface
{
    const ERR_UNKNOWN = 1;
    const ERR_QUERY_PARSE = 2;
    const ERR_UNAVAILABLE = 3;
    
    
    
    
    
    
    public function Search(QueryInterface $query);
    
    
    
    
    
    
    public function Ping() : bool;
    
    
    
    
    
    
    public function GetVersion() : array;
    
    
    
    
    
    
    
    public function GetStats(array $indexes = []) : array;
}